﻿<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8" />
	<title>CKEditor TesAmerica</title>
    <script src="plugins/lite/js/jquery.min.js"></script>
    <script src="plugins/lite/lite-interface.js"></script>

    
	<script src="ckeditor.js"></script>
	<script src="js/sample.js"></script>

    <style>
        #cke_editor {
          margin:auto;
        }
        
    </style>
</head>
<body>

<center>
    <div id="editor"></div>
</center>  


<script type="text/javascript">
    var Users = [
        { ID: '1', Name: 'Carlos Guingue' },
        { ID: '2', Name: 'Ximena Ospina' },
        { ID: '3', Name: 'Luz María Pinzón' },
        { ID: '4', Name: 'Paulina Ariza' }
    ];

    var IDUser = location.search.split('ID=')[1];
    if (IDUser == undefined)
        IDUser = 0;


    initSample();


    function cargarTexto() {
        jQuery.get('prueba7.txt', function (data) {
            CKEDITOR.instances.editor.setData(data);
        });
    }

    function CargarConfiguracion(config) {
    config.toolbar = [
{ name: 'document', groups: [ 'mode', 'document', 'doctools' ], items: [ 'Source', '-', 'Save', 'NewPage', 'Preview', 'Print', '-', 'Templates' ] },

		{ name: 'clipboard', items: ['Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord', '-', 'Undo', 'Redo'] },
		{ name: 'editing', items: ['Find', 'Replace', '-', 'SelectAll', '-', 'Scayt'] },
		{ name: 'basicstyles', items: ['Bold', 'Italic', 'Underline', 'Strike', '-', 'CopyFormatting', 'RemoveFormat'] },
		'/',
		{ name: 'paragraph', items: ['NumberedList', 'BulletedList', '-', 'Outdent', 'Indent', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock'] },

		{ name: 'styles', items: ['FontSize'] },
		{ name: 'colors', items: ['TextColor', 'BGColor'] },
		{ name: 'tools', items: ['Maximize'] },
 { name: 'lite', items: ['lite-toggletracking','lite-toggleshow','lite-acceptall','lite-rejectall','lite-acceptone','lite-rejectone','lite-toggletooltips'] },
    ];

        //config.removePlugins = 'elementspath,save,font';
        config.removePlugins = 'flash';
        config.language = 'es';
	config.language_list=["es:Español"];
	config.scayt_sLang = "es_ES";

	config.removePlugins = 'elementspath';

        var lite = config.lite = config.lite || {};
        lite.isTracking = true;
        lite.userName = Users[IDUser].Name;
        lite.userId =  Users[IDUser].ID;
        lite.userStyles = { "1": 1, "2": 2, "3": 3, "4": 4, };
        lite.tooltipTemplate = "%a por %u";

        if (lite.userId != '1') {
            lite.commands = [LITE.Commands.TOGGLE_SHOW];
        } else {
            lite.commands = [LITE.Commands.TOGGLE_SHOW, LITE.Commands.ACCEPT_ALL, LITE.Commands.REJECT_ALL, LITE.Commands.ACCEPT_ONE, LITE.Commands.REJECT_ONE, LITE.Commands.ACCEPT_ALL];
        }
    }

    var MONTHS=["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"];

    function LITE_LABELS_DATE(day, month, year) {
        if (typeof (year) != 'undefined') {
            year = ", " + year;
        }
        else {
            year = "";
        }

        return MONTHS[month] + " " + day + year;
    }

</script>

</body>
</html>
